Package org.apache.qpid.proton.amqp.transport

# Enum ReceiverSettleMode

java.lang.Object
java.lang.Enum<ReceiverSettleMode>
org.apache.qpid.proton.amqp.transport.ReceiverSettleMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ReceiverSettleMode>`

public enum ReceiverSettleMode extends Enum<ReceiverSettleMode>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIRST`
`SECOND`

## Method Summary

Modifier and Type
Method
Description
`UnsignedByte`
`getValue()`
`static ReceiverSettleMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ReceiverSettleMode`
`valueOf(UnsignedByte value)`
Returns the enum constant of this type with the specified name.
`static ReceiverSettleMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FIRST

public static final ReceiverSettleMode FIRST

### SECOND

public static final ReceiverSettleMode SECOND

## Method Details

### values

public static ReceiverSettleMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ReceiverSettleMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

public static ReceiverSettleMode valueOf(UnsignedByte value)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public UnsignedByte getValue()